package edu.travel.tenant.utils;

import cn.hutool.core.bean.BeanUtil;
import edu.travel.entity.EduTenantPO;
import org.springframework.security.core.context.SecurityContextHolder;

public class TokenData {

    /**
     * 获取用户ID
     *
     * @return {@link String }
     */
    public static String getUserId() {
        EduTenantPO user = getUser();
        return user.getId().toString();
    }

    /**
     * 获取用户ID
     *
     * @return {@link String }
     */
    public static EduTenantPO getUser() {
        Object principal = SecurityContextHolder.getContext().getAuthentication().getPrincipal();
        EduTenantPO bean = BeanUtil.toBean(principal, EduTenantPO.class);
        return bean;
    }
}
